Show / Hide Table of Contents

# Class RequestType<TParams, TResult>

##### Inheritance

System.Object
RequestType<TParams, TResult>

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Hosting.Protocol.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class RequestType<TParams, TResult>

##### Type Parameters

Name | Description
--- | ---
TParams |
TResult |

### Properties

| Improve this Doc View Source

#### MethodName

##### Declaration

    public string MethodName { get; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### Create(String)

##### Declaration

    public static RequestType<TParams, TResult> Create(string typeName)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | typeName |

##### Returns

Type | Description
--- | ---
RequestType<TParams, TResult> |